name: sixvalley_vendor_app
description: A new Flutter application.
publish_to: 'none'
version: 1.0.3+5

environment:
  sdk: '>=3.2.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  cupertino_icons: ^1.0.8
  get_it: ^9.0.5
  provider: ^6.1.5+1
  connectivity_plus: ^7.0.0
  dio: ^5.9.0
  intl: ^0.20.2
  shared_preferences: ^2.5.3
  shimmer: ^3.0.0
  image_picker: ^1.2.1
  flutter_switch: ^0.3.2
  cached_network_image: ^3.4.1
  flutter_typeahead: ^5.2.0
  autocomplete_textfield: ^2.0.1
  dotted_border: ^3.1.0
  flutter_html: ^3.0.0
  firebase_core: ^4.2.1
  firebase_messaging: ^16.0.4
  flutter_local_notifications: ^19.5.0
  path_provider: ^2.1.5
  country_code_picker: ^3.4.1
  pin_code_fields: ^8.0.1
  permission_handler: ^12.0.1
  barcode_widget: ^2.0.4
  file_picker: ^10.3.6
  url_launcher: ^6.3.2
  flutter_spinkit: ^5.2.2
  percent_indicator: ^4.2.5
  flutter_speed_dial: ^7.0.0
  barcode_scan2: ^4.5.1
  print_bluetooth_thermal: ^1.1.7
  screenshot: ^3.0.0
  esc_pos_utils: ^1.1.0
  flutter_slidable: ^4.0.3
  readmore: ^3.0.0
  flutter_html_table: ^3.0.0
  google_maps_flutter: ^2.14.0
  geocoding: ^4.0.0
  geolocator: ^14.0.2
  syncfusion_flutter_datepicker: ^31.2.10
  textfield_tags: 2.0.2
  http: ^1.6.0
  path: ^1.9.1
  typed_data: ^1.4.0
  animated_floating_buttons: ^0.0.2
  emoji_picker_flutter: ^4.3.0
  syncfusion_flutter_charts: ^31.2.10
  carousel_slider: ^5.1.1
  flutter_downloader: ^1.12.0
  open_file: ^3.5.10
  open_file_manager: ^2.0.1
  just_the_tooltip: ^0.0.12
  syncfusion_flutter_pdfviewer: ^31.2.10
  audioplayers: ^6.5.1
  flutter_xlider: ^3.5.0
  video_player: ^2.10.0
  chewie: ^1.13.0
  get_thumbnail_video: ^0.7.3
  flutter_svg: ^2.2.1
  collection: any
  fluttertoast: ^9.0.0
  flutter_image_compress: ^2.4.0
  firebase_auth: ^6.1.1

dependency_overrides:
  syncfusion_flutter_core: ^31.2.10


dev_dependencies:
  icons_launcher:
  flutter_lints: ^6.0.0
  flutter_test:
    sdk: flutter


icons_launcher:
  image_path: "assets/image/ic_launcher.png"
  platforms:
    android:
      enable: true
    ios:
      enable: true
    macos:
      enable: true

flutter_icons:
  ios: true
  android: true
  image_path: "assets/image/ic_launcher.png"





flutter:
  uses-material-design: true

  assets:
    - assets/image/
    - assets/language/
    - assets/svg/

  fonts:
    - family: Roboto
      fonts:
        - asset: assets/font/roboto/Roboto-Regular.ttf
          weight: 400
        - asset: assets/font/roboto/Roboto-Medium.ttf
          weight: 500
        - asset: assets/font/roboto/Roboto-Bold.ttf
          weight: 700